// http://www.amin-ahmadi.com

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QtWidgets>

#include "Windows.h"
#include "Wmsdk.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

    HRESULT GetCodecNames();

    IWMProfileManager *pProfMan;
    IWMCodecInfo3* pCodecInfo;

private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
